### Method

# Gtk TreeView get_columns

#### Declaration [src]

    GList*
    gtk_tree_view_get_columns (
      GtkTreeView* tree_view
    )

#### Description [src]

Returns a `GList` of all the `GtkTreeViewColumn`s currently in `tree_view`. The returned list must be freed with g_list_free ().

#### Return value

Returns: | A list of `GtkTreeViewColumn`
| A list of `GtkTreeViewColumn`s.
| The caller of the function takes ownership of the data container, but not the data inside it.